"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
const common_1 = require("./common");
module.exports = (RED) => {
    function RedMobileBleScanNode(props) {
        RED.nodes.createNode(this, props);
        this.on("input", (msg) => {
            const json = {
                id: this.id,
                method: "ble-scan",
                payload: msg.payload,
                options: (0, common_1.generateBleOptions)(RED, props),
            };
            (0, util_1.postRequest)(RED, this, msg, json);
        });
    }
    RED.nodes.registerType("ble scan", RedMobileBleScanNode);
};
