"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const is_base64_1 = __importDefault(require("is-base64"));
const util_1 = require("../util");
const common_1 = require("./common");
module.exports = (RED) => {
    function RedMobileBleWriteNode(props) {
        RED.nodes.createNode(this, props);
        this.on("input", (msg) => {
            if (typeof msg.payload === "string" && (0, is_base64_1.default)(msg.payload)) {
                const json = {
                    id: this.id,
                    method: "ble-write",
                    payload: msg.payload,
                    options: (0, common_1.generateBleOptions)(RED, props),
                };
                (0, util_1.postRequest)(RED, this, msg, json);
            }
            else {
                this.error("msg.payload must Base64 encoded string");
                this.status({
                    fill: "red",
                    shape: "ring",
                    text: "error",
                });
            }
        });
    }
    RED.nodes.registerType("ble write", RedMobileBleWriteNode);
};
