"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
module.exports = (RED) => {
    function RedMobileCameraOpenNode(props) {
        RED.nodes.createNode(this, props);
        const options = {
            toBack: false,
            direction: "back",
        };
        if (props.preview === "enable") {
            options.toBack = false;
        }
        else {
            options.toBack = true;
        }
        if (props.direction) {
            options.direction = props.direction;
        }
        else {
            options.direction = "back";
        }
        this.on("input", (msg) => {
            const json = {
                id: this.id,
                method: "camera-open",
                payload: msg.payload,
                options: options,
            };
            (0, util_1.postRequest)(RED, this, msg, json);
        });
    }
    RED.nodes.registerType("camera-open", RedMobileCameraOpenNode);
    function RedMobileCameraCloseNode(props) {
        RED.nodes.createNode(this, props);
        this.on("input", (msg) => {
            const params = {
                id: this.id,
                method: "camera-close",
            };
            (0, util_1.getRequest)(RED, this, msg, params, 5000);
        });
    }
    RED.nodes.registerType("camera-close", RedMobileCameraCloseNode);
    function RedMobileTakePictureNode(props) {
        RED.nodes.createNode(this, props);
        this.on("input", (msg) => {
            const params = {
                id: this.id,
                method: "camera-take-picture",
            };
            (0, util_1.getRequest)(RED, this, msg, params, 5000);
        });
    }
    RED.nodes.registerType("take-picture", RedMobileTakePictureNode);
    function RedMobileCameraSwitchNode(props) {
        RED.nodes.createNode(this, props);
        this.on("input", (msg) => {
            const params = {
                id: this.id,
                method: "camera-switch",
            };
            (0, util_1.getRequest)(RED, this, msg, params, 5000);
        });
    }
    RED.nodes.registerType("camera-switch", RedMobileCameraSwitchNode);
};
