"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
module.exports = (RED) => {
    function takePicture(props) {
        RED.nodes.createNode(this, props);
        const options = {
            quality: props.quality,
            destinationType: props.destinationType === "data" ? 0 : 1,
            saveToPhotoAlbum: props.saveToPhotoAlbum,
        };
        this.on("input", (msg) => {
            const json = {
                id: this.id,
                method: "camera",
                payload: msg.payload,
                options: options,
            };
            (0, util_1.postRequest)(RED, this, msg, json);
        });
    }
    RED.nodes.registerType("camera", takePicture);
};
