"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
module.exports = (RED) => {
    function BrowserOpen(props) {
        RED.nodes.createNode(this, props);
        this.on("input", (msg) => {
            const json = {
                id: this.id,
                method: "browser-open",
                payload: props.url ? props.url : msg.payload,
                target: props.target === "blank" ? "_blank" : "_system",
                options: props.options ? props.options : msg.options,
            };
            (0, util_1.postRequest)(RED, this, msg, json);
        });
    }
    RED.nodes.registerType("browser open", BrowserOpen);
    function BrowserClose(props) {
        RED.nodes.createNode(this, props);
        this.on("input", (msg) => {
            const json = {
                id: this.id,
                method: "browser-close",
            };
            (0, util_1.postRequest)(RED, this, msg, json);
        });
    }
    RED.nodes.registerType("browser close", BrowserClose);
};
