"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
module.exports = (RED) => {
    function textRecognizer(props) {
        RED.nodes.createNode(this, props);
        this.on("input", (msg) => {
            const json = {
                id: this.id,
                method: "text-recognizer",
                payload: msg.payload,
            };
            (0, util_1.postRequest)(RED, this, msg, json);
        });
    }
    RED.nodes.registerType("text recognizer", textRecognizer);
    function imageLabeler(props) {
        RED.nodes.createNode(this, props);
        this.on("input", (msg) => {
            const json = {
                id: this.id,
                method: "image-labeler",
                payload: msg.payload,
            };
            (0, util_1.postRequest)(RED, this, msg, json);
        });
    }
    RED.nodes.registerType("image labeler", imageLabeler);
    function barcodeDetector(props) {
        RED.nodes.createNode(this, props);
        this.on("input", (msg) => {
            const json = {
                id: this.id,
                method: "barcode-detector",
                payload: msg.payload,
            };
            (0, util_1.postRequest)(RED, this, msg, json);
        });
    }
    RED.nodes.registerType("barcode detector", barcodeDetector);
};
