"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../../util");
module.exports = (RED) => {
    function RedMobileBeepNode(props) {
        RED.nodes.createNode(this, props);
        this.on("input", (msg) => {
            if (msg.payload === undefined || typeof msg.payload !== "number") {
                sendError(this);
                return;
            }
            const json = {
                id: this.id,
                method: "beep",
                payload: msg.payload,
            };
            (0, util_1.postRequest)(RED, this, msg, json);
        });
        function sendError(node) {
            node.error(RED._("beep.errors.response"));
            node.status({
                fill: "red",
                shape: "ring",
                text: RED._("beep.errors.response"),
            });
        }
    }
    RED.nodes.registerType("beep", RedMobileBeepNode);
};
