"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../../util");
module.exports = (RED) => {
    function sendError(node) {
        node.error(RED._("vibrate.errors.response"));
        node.status({
            fill: "red",
            shape: "ring",
            text: RED._("vibrate.errors.response"),
        });
    }
    function RedMobileVibrateNode(props) {
        RED.nodes.createNode(this, props);
        this.on("input", (msg) => {
            if (msg.payload === undefined || !Array.isArray(msg.payload)) {
                sendError(this);
                return;
            }
            const json = {
                id: this.id,
                method: "vibrate",
                payload: msg.payload,
            };
            (0, util_1.postRequest)(RED, this, msg, json);
        });
    }
    RED.nodes.registerType("vibrate", RedMobileVibrateNode);
};
