"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
module.exports = (RED) => {
    function startQRCode(props) {
        RED.nodes.createNode(this, props);
        const options = {
            preferFrontCamera: props.camera === "front",
            showFlipCameraButton: props.showFlipCameraButton,
            showTorchButton: props.showTorchButton,
            torchOn: props.torchOn,
            orientation: props.orientation,
            prompt: props.prompt,
        };
        this.on("input", (msg) => {
            const json = {
                id: this.id,
                method: "qrcode-scan",
                payload: msg.payload,
                options: options,
            };
            (0, util_1.postRequest)(RED, this, msg, json);
        });
    }
    RED.nodes.registerType("qrcode scan", startQRCode);
};
