"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../../util");
module.exports = (RED) => {
    function RedMobileSensorSubscribeNode(props) {
        RED.nodes.createNode(this, props);
        const options = {
            sensor: props.sensor,
            freq: props.freq,
        };
        this.on("input", (msg) => {
            const json = {
                id: this.id,
                method: "sensor-subscribe",
                payload: msg.payload,
                options: options,
            };
            (0, util_1.postRequest)(RED, this, msg, json);
        });
    }
    RED.nodes.registerType("sensor subscribe", RedMobileSensorSubscribeNode);
};
