"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const node_http_1 = require("node:http");
const node_url_1 = require("node:url");
const ws_1 = require("ws");
let websocket;
let wss;
class TestServer {
    server;
    constructor(port, path) {
        this.server = (0, node_http_1.createServer)();
        wss = new ws_1.WebSocketServer({ noServer: true });
        this.server.on("upgrade", function upgrade(request, socket, head) {
            const { pathname } = (0, node_url_1.parse)(request.url, false);
            if (pathname === path) {
                wss?.handleUpgrade(request, socket, head, function done(ws) {
                    websocket = ws;
                });
            }
            else {
                socket.destroy();
            }
        });
        this.server.listen(port);
    }
    send(payload) {
        websocket?.send(JSON.stringify({ payload: payload }));
    }
    close() {
        websocket?.close();
        wss?.close();
        this.server.close();
    }
}
exports.default = TestServer;
